BizKitHub
DocsAPI ReferenceContact/bff/contact-segment/update
postContactAdmin BFF

/bff/contact-segment/update

Partial update — only provided fields change. Editing the definition is validated against the field registry.

ContactpostBffContact-segmentUpdate

Parameters

JSON body

Request body

application/json
idstringRequired

Segment external ID.

namestringOptional
Length: 1128
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0512
Variant 2
null
definitionobject | objectOptional
One of 2:
Variant 1
type"group"Required
operator"AND" | "OR"Required
childrenany[]Required
Variant 2
type"condition"Required
fieldstringRequired
operatorstringRequired
valueanyOptional
value2anyOptional
isActivebooleanOptional

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact-segment/update

post
curl -X POST "https://api.bizkithub.com/bff/contact-segment/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "name": "example_name",
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key